#!/usr/bin/make -f

export QT_SELECT := qt5

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=`dpkg-parsechangelog --show-field Version`

.PHONY:
	override_dh_strip

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	sed -i s/Exec=testmanager/Exec=testmanager-ng/ testmanager.desktop
	sed -i s/Icon=testmanager/Icon=testmanager-ng/ testmanager.desktop
	sed -i s/Manager/Manager\ NG\ \(PdCom5\)/ testmanager.desktop
	sed -i s:application/testmanager:application/testmanager-ng: \
		testmanager.desktop testmanager-mime.xml
	dh_install

